# position property

int get position

Returns the current position in the file.

## Returns

The current byte position in the file.

## Example

    final output = FileOutputStream('output.bin');
    try {
      await output.writeString('Hello');
      print('Current position: ${output.position}'); // 5

      await output.writeString(' World');
      print('Current position: ${output.position}'); // 11
    } finally {
      await output.close();
    }

## Implementation

    int get position => _position;